Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590608 - re registering clients breaks OSAD auth
Summary: re registering clients breaks OSAD auth
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space14
TreeView+ depends on / blocked
 
Reported: 2010-05-10 10:09 UTC by Christoph Maser
Modified: 2011-04-26 09:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 09:10:42 UTC


Attachments (Terms of Use)

Description Christoph Maser 2010-05-10 10:09:52 UTC
Description of problem:
if one re registers a client with rhnreg_ks the osad client auth gets invalid. to get osad to work correctly again one has to remove /etc/sysconfig/rhn/osad-auth.conf and restart osad on the client


Version-Release number of selected component (if applicable):
1.0

How reproducible:
osad 0:5.9.31-1.el5.noarch

Steps to Reproduce:
1. register clietn with rhnreg_ks
2. configure and run osad
3. re-register clietn with rhnreg_ks
  
Actual results:
osad is running but does not pick up any scheduled actions, enabling debug logs shows it can not correctly authenticate

Expected results:
osad should run and pick up scheduled actions. a fix could be that rhnreg_ks resets osad authentication when needed.

Additional info:

Comment 1 Jan Pazdziora 2010-11-19 16:03:35 UTC
Mass-moving to space13.

Comment 2 Milan Zázrivec 2011-02-03 17:26:45 UTC
spacewalk.git master:

commit 5d7cbc0e2ac44b69c6dd8ed652bd85f572e95ef9
Author: Milan Zazrivec <mzazrivec@redhat.com>
Date:   Thu Feb 3 18:13:36 2011 +0100

    590608 - nullify jabber_ids from previous registrations
    
    This fix is to ensure push functionality will be functional after
    system's re-registration.
    
    Couple of things adding to the problem:
    * after system re-registration, systemid changes, jabber_id stays
    * rhnPushClient table with multiple rows with identical jabber_id
      and different server_id
    * osa-dispatcher tries to find shared key for given jabber_id, backend
      simply returns the first row fetched (now with an invalid shared key)
    * signatures computed by osad and osa-dispatcher do not match -> osad
      won't do anything
    * deleting the older servers in webui won't help

The fix for the described problem landed in spacewalk-backend (server
side component) and won't require any changes on client side (osad
should work automatically).

Thank you for your bug report, sorry for the delayed fix.

Comment 3 Milan Zázrivec 2011-02-04 10:15:52 UTC
spacewalk.git SPACEWALK-1.3: 62e63a633b29d169c6c4524be248bfdf01b2e2b1

Comment 4 Miroslav Suchý 2011-04-11 07:45:14 UTC
Mass moving to ON_QA before release of Spacewalk 1.4

Comment 5 Miroslav Suchý 2011-04-26 09:10:42 UTC
Spacewalk 1.4 has been released


Note You need to log in before you can comment on or make changes to this bug.